Subject: Re: [PATCH 1/2] format-patch: make format.noprefix a boolean

From: Jeff King <[email-masked]>
Date: Fri, 20 Feb 2026 07:28:59 -0500

On Wed, Feb 18, 2026 at 09:26:17PM +0100, [email-masked] wrote:

> This is a breaking change. And as far as breaking changes go it is
> pretty benign:
> 
> • The documentation claims that this config is equivalent to
>   `diff.noprefix`; this is just a bug fix if the documentation is
>   what defines the application interface
> • Only users with non-boolean values will run into problems when we
>   try to parse it as a boolean. But what would (1) make them suspect
>   they could do that in the first place, and (2) have motivated them to
>   do it?
> • Users who have set this to `false` and expect that to mean *enable
>   format.noprefix* (current behavior) will now have the opposite
>   experience. Which is not a reasonable setup.
> 
> Let’s only offer a breaking change fig leaf by hinting about the
> previous behavior before dying.

Thanks for following through with this. I probably would not have
bothered with even the fig leaf, and just considered it a bug fix. But
since you bothered to write it, I don't object.

-Peff